Subject: 31.0.50; use-package cannot override a built in package

From: "Mark A. Hershberger" <[email-masked]>
Date: Fri, 03 Jan 2025 17:29:51 -0500

The following command sequence does not check out transient into
~/.emacs.d/elpa/transient while a similar sequence for magit checks out
magit:

    $ rm -rf ~/.emacs.d/
    $ echo '(use-package transient
           :vc (:url "https://github.com/magit/transient") :ensure t)' > .emacs
    $ emacs

Since the bundled transient cannot be used with forge from git, I ended
up installing transient using package-install.

I looked over help for use-package, but I cannot see a way to force it
to use the version specified in :vc for the package instead of the
bundled version.

Thanks,

Mark.